=== debian/changelog ===
xbgmsharp (0.9.1.0-26) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Tue, 26 Dec 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-15) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Tue, 31 Oct 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-10) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 24 Oct 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-5) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 19 Sept 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-2) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 12 Sept 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-1) unstable; urgency=low

  * mono-assemblies-base needed by the package is now remplaced by mono-classlib-1.0 in this new version.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 30 Aug 2006 21:10:41 -0400

xbgmsharp (0.9.0.7-1) unstable; urgency=low

  * New upstream version.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 24 Avr 2006 21:10:41 -0400

xbgmsharp (0.9.0-1) unstable; urgency=low

  * New upstream version.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 24 Jul 2005 21:10:41 -0400

xbgmsharp (0.8.1-1) unstable; urgency=low

  * New upstream version.

 -- Francois Lacroix <xbgm@kayaweed.net>  Fri, 17 Jun 2005 21:10:41 -0400
 

xbgmsharp (0.8.0-1) unstable; urgency=low

  * New upstream version.

 -- Pascal Giard <pascal@debian.org>  Fri, 22 Apr 2005 21:10:41 -0400

xbgmsharp (0.7-1) unstable; urgency=low

  * Initial release of unofficial package.

 -- Pascal Giard <pascal@debian.org>  Mon, 14 Mar 2005 01:16:59 -0500
Local variables:
mode: debian-changelog
End:
