=== debian/control ===
Source: xbgmsharp
Section: utils
Priority: optional
Maintainer: Pascal Giard <pascal@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>=4), libglade2.0-cil, libgtk2.0-cil, libglib2.0-cil, libmono-dev, mono-assemblies-base, mono-mcs, c-sharp-compiler, mono-jit, libgtk2.0-0, libgtk2.0-dev, libglib2.0-0

Package: xbgmsharp
Architecture: all
Depends: libgtk2.0-cil, libglib2.0-cil, libglade2.0-cil, mono-assemblies-base, mono-jit, gtk-sharp2
Description: xbox game manager
 XBGM# is a game manager for Xbox using Avalaunch dashboard features.
 It allow you to send (extract) xdvdfs (xbox iso) directly to the xbox via
 ftp using a GUI.
 .
 XBGM# can be used with various implementations of the CLI, including .NET,
 Mono, and DotGNU Portable.NET.
