=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_DIR = $(shell pwd)/src
SHARE_DIR = $(shell pwd)/debian/xbgmsharp/usr/share/dotnet
USR_DIR = $(shell pwd)/debian/xbgmsharp/usr
DEBIAN_DIR = $(shell pwd)/debian

INSTALL = install -m 0644 -o root -g root
INSTALL_BIN = install -m 0755 -o root -g root

build: build-stamp

build-stamp:
	dh_testdir
	cd $(SRC_DIR) && $(MAKE)
	touch $@


clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp
	-cd $(SRC_DIR) && $(MAKE) clean
	dh_clean


install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(INSTALL) $(SRC_DIR)/bin/xbgmsharp.exe $(SHARE_DIR)/xbgmsharp/
	$(INSTALL_BIN) $(DEBIAN_DIR)/xbgmsharp.wrapper $(SHARE_DIR)/bin/xbgmsharp
	$(INSTALL_BIN) $(DEBIAN_DIR)/xbgmsharp.wrapper $(USR_DIR)/bin/xbgmsharp

	touch $@


# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
#	dh_installman 
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
